Bug 141537 - UNO Object Inspector: Crash while inspecting file
Summary: UNO Object Inspector: Crash while inspecting file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.2.0 target:7.1.4
Keywords: needUITest
Depends on:
Blocks: UNO-Object-Inspector
  Show dependency treegraph
 
Reported: 2021-04-07 12:06 UTC by Olivier Hallot
Modified: 2021-05-10 15:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample file that caused the crash of UNO Inspector (26.59 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-04-07 12:07 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2021-04-07 12:06:38 UTC
Description:
LibreOffice crash when inspecting UNO object of the attached file pivot.ods

Steps to Reproduce:
1. Open attached file in a linux box with KDE
2. Open UNO inspector, 
3. Click on the Graphics leaf of the document on the left pane (open it first)

Actual Results:
Crash

Expected Results:
No Crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 6aa6b6c814b0353768fa7276d1f11d69a0ebedba
CPU threads: 16; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: pt-BR (en_US.UTF-8); UI: pt-BR
Calc: CL

tdf@tdf-dev:~/git/core/instdir/program$ ./soffice
terminate called after throwing an instance of 'com::sun::star::container::NoSuchElementException'
terminate called after throwing an instance of 'com::sun::star::container::NoSuchElementException'


when using SAL_USE_VCLPLUGIN=gen

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 6aa6b6c814b0353768fa7276d1f11d69a0ebedba
CPU threads: 16; OS: Linux 5.8; UI render: default; VCL: x11
Locale: pt-BR (en_US.UTF-8); UI: pt-BR
Calc: CL

tdf@tdf-dev:~/git/core/instdir/program$ SAL_USE_VCLPLUGIN=gen ./soffice
terminate called after throwing an instance of 'com::sun::star::container::NoSuchElementException'
The X11 connection broke: I/O error (code 1)
XIO:  fatal IO error 9 (Descritor de arquivo inválido) on X server ":0"
      after 136 requests (136 known processed) with 0 events remaining.
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = soffice.bin path = /home/tdf/git/core/instdir/program pid = 17612
KCrash: Arguments: /home/tdf/git/core/instdir/program/soffice.bin --nocrashhandler 
KCrash: Attempting to start /usr/lib/x86_64-linux-gnu/libexec/drkonqi
Comment 1 Olivier Hallot 2021-04-07 12:07:37 UTC
Created attachment 170999 [details]
Sample file that caused the crash of UNO Inspector
Comment 2 Xisco Faulí 2021-04-07 17:02:15 UTC
it crashes for me going to Sheets - Sheet1 - Charts. Crashes with GTK3 and GEN

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: c47ad11f8c2e917adebbd5d7b3a3ef6cc4b3e670
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Julien Nabet 2021-04-07 20:32:18 UTC
I gave a try with https://gerrit.libreoffice.org/c/core/+/113777
Comment 4 Commit Notification 2021-04-20 21:43:15 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/42e0ea0a6e4f48967d58fa95081c8ba5a6b08bc6

tdf#141537: UNO Object Inspector: Crash while inspecting file

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2021-04-22 08:13:34 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 41145efffe9d5af358a52b9e114bb01b98b3d7c2
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Julien, thanks for fixing this issue. Should it be closed as RESOLVED FIXED ?
Comment 6 Commit Notification 2021-04-22 08:20:24 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/613a80b855406d180a663a4aec974c40be195395

tdf#141537: UNO Object Inspector: Crash while inspecting file

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Julien Nabet 2021-04-22 08:49:38 UTC
(In reply to Xisco Faulí from comment #5)
> ...
> @Julien, thanks for fixing this issue. Should it be closed as RESOLVED FIXED
> ?

Why not, hope it was the right way to fix this not like tdf#96787.
Comment 8 Xisco Faulí 2021-05-10 15:26:43 UTC
Issue verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: d4f116d9576453f5974eb63db37a33c59ac53bc9
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Julien, thanks for fixing this issue!!